import React from 'react';
import { ConfigProvider } from 'antd';
import classNames from 'classnames';

import '../styles/common.less';
import './index.less';
import { getMessageTypeIcon } from '../../utils';

const Unknown = ({ message, confirmRead, handlerUnknowDetail }) => {
  const { getPrefixCls } = React.useContext(ConfigProvider.ConfigContext);
  const prefixCls = getPrefixCls();
  let content = '';
  let noticeTitle = '';
  try {
    const type = typeof message.infoContent;
    switch (type) {
      case 'object':
        let { infoContent } = message;
        noticeTitle = infoContent.title || '';
        content = infoContent.content || JSON.stringify(message.infoContent);
        break;
      case 'string':
        content = message.infoContent;
        break;
      default:
        break;
    }
  } catch (e) {
    // i
  }
  const goPath = (item) => {
    handlerUnknowDetail && handlerUnknowDetail(message);
    confirmRead(false, [message.id]);
  };
  return (
    <div
      className={classNames(`${prefixCls}-notifier-message_unknown`, `${prefixCls}-notifier-message-container`)}
      title="点击查看详情"
      onClick={() => goPath(message)}
      style={{backgroundImage: `url(${getMessageTypeIcon(message.messType)})`}}
    >
      <div className={`${prefixCls}-notifier-message-title`}>
        <span>{noticeTitle}</span>
        <img
          className={`${prefixCls}-notifier-message-confirm`}
          title="点击标为已读"
          onClick={(e) => {
            e.stopPropagation();
            confirmRead(false, [message.id]);
          }}
          src={require('../../images/oper/ok_line.png')}
          alt=""
        />
      </div>
      <div className={`${prefixCls}-notifier-message-content`}>
        <p>{content}</p>
      </div>
      <div className={`${prefixCls}-notifier-message-time`}>{message.time}</div>
    </div>
  );
};

export default Unknown;
